org.apache.hadoop.mapred

## Interface MapOutputCollector<K,V>

- All Known Implementing Classes:
    MapTask.MapOutputBuffer

      @InterfaceAudience.LimitedPrivate(value="MapReduce")
       @InterfaceStability.Unstable
      public interface MapOutputCollector<K,V>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `MapOutputCollector.Context`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `collect(K key, V value, int partition)`
    `void` | `flush()`
    `void` | `init(MapOutputCollector.Context context)`

- - ### Method Detail

    - #### init

          void init(MapOutputCollector.Context context)
             throws IOException,
                    ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### collect

          void collect(K key,
                       V value,
                       int partition)
                throws IOException,
                       InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### close

          void close()
              throws IOException,
                     InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### flush

          void flush()
              throws IOException,
                     InterruptedException,
                     ClassNotFoundException

      Throws:
        `IOException`
        `InterruptedException`
        `ClassNotFoundException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.